| Taskflow: A General-purpose Task-parallel Programming System

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
tf::cudaTask Class Reference

class to create a task handle of a CUDA Graph node More...

`#include <taskflow/cuda/cuda_graph.hpp>`

## Public Member Functions
| cudaTask ()=default
| constructs an empty cudaTask
| cudaTask (const cudaTask &)=default
| copy-constructs a cudaTask
cudaTask & | operator= (const cudaTask &)=default
| copy-assigns a cudaTask
template<typename... Ts>
cudaTask & | precede (Ts &&... tasks)
| adds precedence links from this to other tasks
template<typename... Ts>
cudaTask & | succeed (Ts &&... tasks)
| adds precedence links from other tasks to this
size_t | num_successors () const
| queries the number of successors
size_t | num_predecessors () const
| queries the number of dependents
auto | type () const
| queries the type of this task
void | dump (std::ostream &os) const
| dumps the task through an output stream

## Friends
template<typename Creator , typename Deleter >
class | cudaGraphBase
template<typename Creator , typename Deleter >
class | cudaGraphExecBase
class | cudaFlow
class | cudaFlowCapturer
class | cudaFlowCapturerBase
std::ostream & | operator<< (std::ostream &os, const cudaTask &ct)
| overload of ostream inserter operator for cudaTask

## Detailed Description

class to create a task handle of a CUDA Graph node

## Member Function Documentation

## ◆ dump()

void tf::cudaTask::dump | ( | std::ostream & | os | ) | const
| inline

dumps the task through an output stream

Parameters

  os | an output stream target

## ◆ precede()

template<typename... Ts>

cudaTask & tf::cudaTask::precede | ( | Ts &&... | tasks | ) |

adds precedence links from this to other tasks

Template Parameters

  Ts | parameter pack

Parameters

  tasks | one or multiple tasks

Returns
  `*this`

## ◆ succeed()

template<typename... Ts>

cudaTask & tf::cudaTask::succeed | ( | Ts &&... | tasks | ) |

adds precedence links from other tasks to this

Template Parameters

  Ts | parameter pack

Parameters

  tasks | one or multiple tasks

Returns
  `*this`

The documentation for this class was generated from the following file:

- taskflow/cuda/cuda_graph.hpp